package com.steerinfo.meterwork.meterworkzeroalarm.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="零点报警记录表")
public class MeterWorkZeroAlarm implements IBasePO<String> {
    /**
     * 零点报警主键(ALARM_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="零点报警主键",required=true)
    private String alarmNo;

    /**
     * 计量点类型编号（combaseinfo001002）(SPOT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点类型编号（combaseinfo001002）",required=false)
    private String spotTypeNo;

    /**
     * 计量点类型名称（combaseinfo001002）(SPOT_TYPE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点类型名称（combaseinfo001002）",required=false)
    private String spotTypeName;

    /**
     * 计量点编号(meter_base_spot_info)(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号(meter_base_spot_info)",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(meter_base_spot_info)(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称(meter_base_spot_info)",required=false)
    private String baseSpotName;

    /**
     * 秤点编号(METER_BASE_SCALE_POINT),用于一个秤多个仪表(SCALE_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="秤点编号(METER_BASE_SCALE_POINT),用于一个秤多个仪表",required=false)
    private String scalePointNo;

    /**
     * 秤点名称(METER_BASE_SCALE_POINT),用于一个秤多个仪表(SCALE_POINT_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="秤点名称(METER_BASE_SCALE_POINT),用于一个秤多个仪表",required=false)
    private String scalePointName;

    /**
     * 零点报警的重量(ZERO_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="零点报警的重量",required=false)
    private BigDecimal zeroWeight;

    /**
     * 零点报警的时间(ZERO_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="零点报警的时间",required=false)
    private Date zeroTime;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 0为报警，1为报警解除(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="0为报警，1为报警解除",required=false)
    private String validFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.alarmNo;
    }

    @Override
    public void setId(String alarmNo) {
        this.alarmNo = alarmNo == null ? null : alarmNo.trim();
    }

    public String getAlarmNo() {
        return alarmNo;
    }

    public void setAlarmNo(String alarmNo) {
        this.alarmNo = alarmNo == null ? null : alarmNo.trim();
    }

    public String getSpotTypeNo() {
        return spotTypeNo;
    }

    public void setSpotTypeNo(String spotTypeNo) {
        this.spotTypeNo = spotTypeNo == null ? null : spotTypeNo.trim();
    }

    public String getSpotTypeName() {
        return spotTypeName;
    }

    public void setSpotTypeName(String spotTypeName) {
        this.spotTypeName = spotTypeName == null ? null : spotTypeName.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getScalePointNo() {
        return scalePointNo;
    }

    public void setScalePointNo(String scalePointNo) {
        this.scalePointNo = scalePointNo == null ? null : scalePointNo.trim();
    }

    public String getScalePointName() {
        return scalePointName;
    }

    public void setScalePointName(String scalePointName) {
        this.scalePointName = scalePointName == null ? null : scalePointName.trim();
    }

    public BigDecimal getZeroWeight() {
        return zeroWeight;
    }

    public void setZeroWeight(BigDecimal zeroWeight) {
        this.zeroWeight = zeroWeight;
    }

    public Date getZeroTime() {
        return zeroTime;
    }

    public void setZeroTime(Date zeroTime) {
        this.zeroTime = zeroTime;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", alarmNo=").append(alarmNo);
        sb.append(", spotTypeNo=").append(spotTypeNo);
        sb.append(", spotTypeName=").append(spotTypeName);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", scalePointNo=").append(scalePointNo);
        sb.append(", scalePointName=").append(scalePointName);
        sb.append(", zeroWeight=").append(zeroWeight);
        sb.append(", zeroTime=").append(zeroTime);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", memo=").append(memo);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}